## inkscape 1.4.1+202503302257+93de688d07~ubuntu24.04.1trisquel2

=== debian/changelog ===
inkscape (1:1.4.1+202503302257+93de688d07~ubuntu24.04.1trisquel2) ecne-backports; urgency=medium

  * Backported from ppa

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 31 Mar 2025 00:50:18 +0000

inkscape (1:1.4.1+202503302257+93de688d07~ubuntu24.04.1) noble; urgency=low

  * Auto build.

 -- Mc <marcjeanmougin@free.fr>  Sun, 30 Mar 2025 22:57:35 +0000
